-- add columns to UnitPromotions to handle grouping of ranked promotions
ALTER TABLE UnitPromotions	ADD RankList							text;
ALTER TABLE UnitPromotions	ADD RankNumber							integer default 0;
-- column to hold visibility preference for each promotion
ALTER TABLE UnitPromotions	ADD IsVisibleAboveFlag					boolean default 1;
ALTER TABLE UnitPromotions	ADD FlagPromoOrder						int default 0;
ALTER TABLE UnitPromotions	ADD SimpleHelpText						boolean;

-- Leave the promo name off the tooltip
UPDATE UnitPromotions SET SimpleHelpText = 1 WHERE 1==2
	AND PediaType = 'PEDIA_ATTRIBUTES' 
	AND NOT Type IN (
	'PROMOTION_AI_HANDICAP'				,
	'PROMOTION_AIR_SWEEP'				,
	'PROMOTION_AIR_RECON'				,
	'PROMOTION_ASTRONOMY'				,
	'PROMOTION_CAMARADERIE'				,
	'PROMOTION_DEFEND_NEAR_CAPITAL'		
);
---------------------------------------
--Define rankings for promotion sets
---------------------------------------
--Auto rank promotion sets ending in an obvious index
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = SUBSTR(Type, -1) WHERE Type LIKE '%_1';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = SUBSTR(Type, -1) WHERE Type LIKE '%_2';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = SUBSTR(Type, -1) WHERE Type LIKE '%_3';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = SUBSTR(Type, -1) WHERE Type LIKE '%_4';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = SUBSTR(Type, -1) WHERE Type LIKE '%_5';

UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = 1 WHERE Type LIKE '%_I';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-3), RankNumber = 2 WHERE Type LIKE '%_II';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-4), RankNumber = 3 WHERE Type LIKE '%_III';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-3), RankNumber = 4 WHERE Type LIKE '%_IV';
UPDATE UnitPromotions SET RankList = SUBSTR(Type, 1, LENGTH(Type)-2), RankNumber = 5 WHERE Type LIKE '%_V';

--Manually rank non-indexed sets
UPDATE UnitPromotions SET RankList = 'MOBILITY', RankNumber = 70 WHERE Type = 'PROMOTION_MOBILITY';
UPDATE UnitPromotions SET RankList = 'MOBILITY', RankNumber = 71 WHERE Type = 'PROMOTION_NAVAL_TRADITION';
UPDATE UnitPromotions SET RankList = 'MOBILITY', RankNumber = 72 WHERE Type = 'PROMOTION_GREAT_LIGHTHOUSE';
UPDATE UnitPromotions SET RankList = 'MOBILITY', RankNumber = 73 WHERE Type = 'PROMOTION_TREASURE_FLEET';

UPDATE UnitPromotions SET RankList = 'HONOR', RankNumber = 1 WHERE Type = 'PROMOTION_HONOR_BONUS';
UPDATE UnitPromotions SET RankList = 'HONOR', RankNumber = 2 WHERE Type = 'PROMOTION_KILL_HEAL';

UPDATE UnitPromotions SET RankList = 'BUFFALO', RankNumber = 1 WHERE Type = 'PROMOTION_BUFFALO_HORNS';
UPDATE UnitPromotions SET RankList = 'BUFFALO', RankNumber = 2 WHERE Type = 'PROMOTION_BUFFALO_CHEST';
UPDATE UnitPromotions SET RankList = 'BUFFALO', RankNumber = 3 WHERE Type = 'PROMOTION_BUFFALO_LOINS';

UPDATE UnitPromotions SET RankList = 'PROMOTION_MEDIC', RankNumber = 1 WHERE Type = 'PROMOTION_MEDIC';
UPDATE UnitPromotions SET RankList = 'PROMOTION_MEDIC', RankNumber = 2 WHERE Type = 'PROMOTION_MEDIC_II';

UPDATE UnitPromotions SET RankList = 'PROMOTION_ANTI_AIR', RankNumber = 1 WHERE Type = 'PROMOTION_ANTI_AIR';
UPDATE UnitPromotions SET RankList = 'PROMOTION_ANTI_AIR', RankNumber = 2 WHERE Type = 'PROMOTION_ANTI_AIR_II';

UPDATE UnitPromotions SET RankList = 'PROMOTION_SPLASH', RankNumber = 1 WHERE Type = 'PROMOTION_SPLASH';
UPDATE UnitPromotions SET RankList = 'PROMOTION_SPLASH', RankNumber = 2 WHERE Type = 'PROMOTION_SPLASH_II';

UPDATE UnitPromotions SET RankList = 'PROMOTION_TERROR', RankNumber = 1 WHERE Type = 'PROMOTION_TERROR';
UPDATE UnitPromotions SET RankList = 'PROMOTION_TERROR', RankNumber = 2 WHERE Type = 'PROMOTION_TERROR_II';

UPDATE UnitPromotions SET RankList = 'PROMOTION_CHARGE', RankNumber = 1 WHERE Type = 'PROMOTION_CHARGE';
UPDATE UnitPromotions SET RankList = 'PROMOTION_CHARGE', RankNumber = 2 WHERE Type = 'PROMOTION_CHARGE_II';

-- group generic combat buffs
UPDATE UnitPromotions SET RankList = 'GENERIC_COMBAT_BUFF', RankNumber = 1 WHERE Type = 'PROMOTION_MORALE';
UPDATE UnitPromotions SET RankList = 'GENERIC_COMBAT_BUFF', RankNumber = 2 WHERE Type = 'PROMOTION_EE_DRYDOCK'; --EE


---------------------------------------
--Override Icons for certain promotions,  mostly where the default
-- is the generic yellow triangle
---------------------------------------

--Wonder promos
UPDATE UnitPromotions SET PortraitIndex =  5, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_HIMEJI_CASTLE';
UPDATE UnitPromotions SET PortraitIndex = 10, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_MORALE'	;		--morale---heroic epic
UPDATE UnitPromotions SET PortraitIndex =  4, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_STATUE_ZEUS'	;		

-- Policies promos
UPDATE UnitPromotions SET PortraitIndex =  6, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_HONOR_BONUS'; --logistics,conscription: bulls head, was triangle
UPDATE UnitPromotions SET PortraitIndex =  6, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_KILL_HEAL';	 --logistics,conscription: bulls head, was triangle
UPDATE UnitPromotions SET PortraitIndex =  8, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_NATIONALISM'	; --patriotic  war: dome, was triangle

-- Unique Unit Promos
UPDATE UnitPromotions SET PortraitIndex = 22, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_PRIZE_SHIPS'	;						--dutch, skull arrow
UPDATE UnitPromotions SET PortraitIndex =  3, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_SNEAK_ATTACK'	;					--mercs, arches
UPDATE UnitPromotions SET PortraitIndex =  3, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_RAIDER'	;							---songhai, arches
UPDATE UnitPromotions SET PortraitIndex =  3, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_FLANK_ATTACK_BONUS'	;				---huns, arches
UPDATE UnitPromotions SET PortraitIndex = 17, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_FOREIGN_LANDS'	;					---celts, star arrow
UPDATE UnitPromotions SET PortraitIndex =  1, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_MOHAWK';  							--iro, trees
UPDATE UnitPromotions SET PortraitIndex =  1, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_JAGUAR'; 							--monti, trees
UPDATE UnitPromotions SET PortraitIndex =  0, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_ANTI_GUNPOWDER'; 					-- shaka, cannon balls

UPDATE UnitPromotions SET PortraitIndex = 30, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ATLATL_ATTACK'	;					---mayan, double swords
UPDATE UnitPromotions SET PortraitIndex =  8, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_HOMELAND_GUARDIAN'	;	---marok, dome
UPDATE UnitPromotions SET PortraitIndex =  1, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_DESERT_WARRIOR'	;		---marok, sand dune
UPDATE UnitPromotions SET PortraitIndex =  8, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_SAPPER'	;				---ashur, dome
UPDATE UnitPromotions SET PortraitIndex = 25, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_HEAVY_CHARGE'	;					---poland, triple spears
UPDATE UnitPromotions SET PortraitIndex = 13, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_STRONGER_VS_DAMAGED'	;			---russia, sword+
UPDATE UnitPromotions SET PortraitIndex = 26, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_FASTER_HEAL'	;					--pers, lightning+
UPDATE UnitPromotions SET PortraitIndex = 11, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ATTACK_BONUS_SWEDEN'	;			--sweden, double pins
UPDATE UnitPromotions SET PortraitIndex = 11, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ATTACK_BONUS'	;					--otto, double pins
UPDATE UnitPromotions SET PortraitIndex =  5, IconAtlas = 'EXPANSION2_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_GUERILLA_FIGHTER'	;	--guerilla, tank
UPDATE UnitPromotions SET PortraitIndex = 38, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_EXTRA_SIGHT_II';  					--spain, eye underlined
UPDATE UnitPromotions SET PortraitIndex = 37, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_EXTRA_SIGHT_I';  					--austr, eye
UPDATE UnitPromotions SET PortraitIndex = 16, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_HAKA_WAR_DANCE';  					--poly, circled star
UPDATE UnitPromotions SET PortraitIndex = 26, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_PARTIAL_HEAL_IF_DESTROY_ENEMY'; 	--monti, sword+
UPDATE UnitPromotions SET PortraitIndex = 30, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_SECOND_ATTACK';  					--inca, double swords
UPDATE UnitPromotions SET PortraitIndex = 16, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_FEARED_ELEPHANT';  					--siam, circled star
UPDATE UnitPromotions SET PortraitIndex = 26, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_HEAL_IF_DESTROY_ENEMY'; 			--otto, sword+
UPDATE UnitPromotions SET PortraitIndex = 33, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_MOON_STRIKER'	;					--shosho, triple arrow
UPDATE UnitPromotions SET PortraitIndex = 58, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_DEFEND_NEAR_CAPITAL'	;			--ethio, silver triangle
UPDATE UnitPromotions SET PortraitIndex =  3, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_DESERT_SHIPS';    				--arab, arrow camel
UPDATE UnitPromotions SET PortraitIndex =  1, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_WOODSMAN';  					-- iro, arrow tree

--VoxPop Barb Promos
UPDATE UnitPromotions SET PortraitIndex = 0, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_MARSH_WALKER'; 
UPDATE UnitPromotions SET PortraitIndex = 2, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_WHITE_WALKER';
UPDATE UnitPromotions SET PortraitIndex = 1, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_WOODS_WALKER';
UPDATE UnitPromotions SET PortraitIndex = 3, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_DESERT_WALKER';
UPDATE UnitPromotions SET PortraitIndex = 0, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_HILL_WALKER';
UPDATE UnitPromotions SET PortraitIndex = 0, IconAtlas = 'VANGUARD_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_COAST_WALKER';

--VoxPop NavalPromos
UPDATE UnitPromotions SET PortraitIndex = 3, IconAtlas = 'EXPANSION_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_LONGBOAT'; 			-- VP
UPDATE UnitPromotions SET PortraitIndex = 3, IconAtlas = 'EXPANSION_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_DOUBLE_PLUNDER'; 		-- VP
UPDATE UnitPromotions SET PortraitIndex = 3, IconAtlas = 'EXPANSION_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_VIKING'; 				-- VP
UPDATE UnitPromotions SET PortraitIndex = 22, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_PRIZE_RULES'; 				-- VP

--CSD\VoxPop DiploPromos
UPDATE UnitPromotions SET PortraitIndex = 13, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_SIGNET'; 				


--Unique City States
UPDATE UnitPromotions SET PortraitIndex = 3, IconAtlas = 'EXPANSION_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ANTANANARIVO'; 				-- Skull crossbones coin
UPDATE UnitPromotions SET PortraitIndex = 2, IconAtlas = 'KRIS_SWORDSMAN_PROMOTION_ATLAS' WHERE Type = 'PROMOTION_BELGRADE'; 				-- shield

--Level 4 drill, coastalraider, boardingparty, bombardment
UPDATE UnitPromotions SET PortraitIndex = 12, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_DRILL_4';
UPDATE UnitPromotions SET PortraitIndex = 8, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_COASTAL_RAIDER_4';
UPDATE UnitPromotions SET PortraitIndex = 55, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_BOMBARDMENT_4';
UPDATE UnitPromotions SET PortraitIndex = 9, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_BOARDING_PARTY_4';

-- Misc others
UPDATE UnitPromotions SET PortraitIndex = 0, IconAtlas = 'NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_IGNORE_TERRAIN_COST';
UPDATE UnitPromotions SET PortraitIndex = 10, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_EE_DRYDOCK'	;		-- star
UPDATE UnitPromotions SET PortraitIndex = 23, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_CAN_MOVE_AFTER_ATTACKING'	;		-- lightning arrow
UPDATE UnitPromotions SET PortraitIndex = 16, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ADJACENT_BONUS'	;					--Vanilla, circled star
UPDATE UnitPromotions SET PortraitIndex = 42, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_FIRE_SUPPORT'	;					--ironclad, three buildings
UPDATE UnitPromotions SET PortraitIndex = 28, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ANTI_AIR';  						-- plane* to differ drill
UPDATE UnitPromotions SET PortraitIndex = 29, IconAtlas = 'PROMOTION_ATLAS' WHERE Type = 'PROMOTION_ANTI_AIR_II';  						-- plane** to differ from drill

UPDATE UnitPromotions SET PortraitIndex = 2, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_HEROES';  						-- Heroes needs an icon!
UPDATE UnitPromotions SET PortraitIndex = 7, IconAtlas = 'MORE_NEW_PROMOS_ATLAS' WHERE Type = 'PROMOTION_EE_FIRST_RATE';				 		--Enlightenment Era, flagship

---------------------------------------
--Set FlagPromoOrder to keep important promos visible and
-- consistently positioned, lower numbers take precedence
---------------------------------------
UPDATE UnitPromotions SET FlagPromoOrder = OrderPriority;
UPDATE UnitPromotions SET FlagPromoOrder = 98 where OrderPriority = 0;


UPDATE UnitPromotions SET FlagPromoOrder = 10 WHERE Type IN (
	'PROMOTION_SCOUTING_1',
	'PROMOTION_SCOUTING_2',
	'PROMOTION_NAVAL_RECON_1',
	'PROMOTION_NAVAL_RECON_2'
);

UPDATE UnitPromotions SET FlagPromoOrder = 20 WHERE Type IN (
	'PROMOTION_SHOCK_1',
	'PROMOTION_SHOCK_2',
	'PROMOTION_SHOCK_3',
	'PROMOTION_SHOCK_4',
	'PROMOTION_ACCURACY_1',
	'PROMOTION_ACCURACY_2',
	'PROMOTION_ACCURACY_3',
	'PROMOTION_TRENCHES_1',
	'PROMOTION_TRENCHES_2',
	'PROMOTION_TRENCHES_3',
	'PROMOTION_TARGETING_1',
	'PROMOTION_TARGETING_2',
	'PROMOTION_TARGETING_3',
	'PROMOTION_TARGETING_4',
	'PROMOTION_INTERCEPTION_1',
	'PROMOTION_INTERCEPTION_2',
	'PROMOTION_INTERCEPTION_3',
	'PROMOTION_AIR_SIEGE_1',
	'PROMOTION_AIR_SIEGE_2',
	'PROMOTION_AIR_SIEGE_3'
);

UPDATE UnitPromotions SET FlagPromoOrder = 30 WHERE Type IN (
	'PROMOTION_DRILL_1',
	'PROMOTION_DRILL_2',
	'PROMOTION_DRILL_3',
	'PROMOTION_DRILL_4',
	'PROMOTION_BARRAGE_1',
	'PROMOTION_BARRAGE_2',
	'PROMOTION_BARRAGE_3',
	'PROMOTION_GUERRILLA_1',
	'PROMOTION_GUERRILLA_2',
	'PROMOTION_GUERRILLA_3',
	'PROMOTION_BOMBARDMENT_1',
	'PROMOTION_BOMBARDMENT_2',
	'PROMOTION_BOMBARDMENT_3',
	'PROMOTION_BOMBARDMENT_4',
	'PROMOTION_DOGFIGHTING_1',
	'PROMOTION_DOGFIGHTING_2',
	'PROMOTION_DOGFIGHTING_3',
	'PROMOTION_AIR_TARGETING_1',
	'PROMOTION_AIR_TARGETING_2'
);

UPDATE UnitPromotions SET FlagPromoOrder = 40 WHERE Type IN (
	'PROMOTION_SIEGE',
	'PROMOTION_NAVAL_SIEGE',
	'PROMOTION_MEDIC',
	'PROMOTION_MEDIC_II',
	'PROMOTION_REPAIR',
	'PROMOTION_AIR_REPAIR',
	'PROMOTION_HELI_REPAIR',
	'PROMOTION_VOLLEY'
);

UPDATE UnitPromotions SET FlagPromoOrder = 50 WHERE Type IN (
	'PROMOTION_MARCH',
	'PROMOTION_MARCH_RANGED',
	'PROMOTION_MARCH_IV',
	'PROMOTION_AIR_RANGE',
	'PROMOTION_SORTIE'
);

UPDATE UnitPromotions SET FlagPromoOrder = 60 WHERE Type IN (
	'PROMOTION_BLITZ',
	'PROMOTION_LOGISTICS',
	'PROMOTION_AIR_LOGISTICS',
	'PROMOTION_NAVAL_LOGISTICS',
	'PROMOTION_COVER_VANGUARD_1',
	'PROMOTION_COVER_VANGUARD_2',
	'PROMOTION_AIR_AMBUSH_1',
	'PROMOTION_AIR_AMBUSH_2'
);

UPDATE UnitPromotions SET FlagPromoOrder = 70 WHERE Type IN (
	'PROMOTION_CHARGE',
	'PROMOTION_CHARGE_II',
	'PROMOTION_INDIRECT_FIRE',
	'PROMOTION_RANGE'
);

UPDATE UnitPromotions SET FlagPromoOrder = 80 WHERE Type IN (
	'PROMOTION_COVER_1',
	'PROMOTION_COVER_2',
	'PROMOTION_SKIRMISH',
	'PROMOTION_AMBUSH_1',
	'PROMOTION_AMBUSH_2'
);

---------------------------------------
--Promotions which should not be displayed
---------------------------------------
UPDATE UnitPromotions SET IsVisibleAboveFlag = 1;
UPDATE UnitPromotions SET IsVisibleAboveFlag = 0 WHERE
	Type LIKE '%PENALTY%'
	OR Type LIKE '%NOUPGRADE%'
	OR Type LIKE '%CARGO%'
	OR Type LIKE '%EMBARKATION%'
	OR Type LIKE '%INTERCEPTION%'
	OR Type LIKE '%EVASION%'	
	OR Type IN (	
	'PROMOTION_FASTER_GENERAL'				, --VP
	'PROMOTION_FAST_GENERAL'				, --VP
	'PROMOTION_NAVAL_MISFIRE'				, --VP
	'PROMOTION_SIEGE_INACCURACY'			, --VP
	'PROMOTION_NAVAL_INACCURACY'			, --VP
	'PROMOTION_OCEAN_CROSSING'				, --VP
	'PROMOTION_RECON_EXPERIENCE'			, --VP
	'PROMOTION_HOVER_UNIT'					, --VP
--	'PROMOTION_EE_FIRST_RATE'				, --Enlightenment Era, flagship
	'PROMOTION_EE_FIRST_RATE_DEFENSE'		, --Enlightenment Era, proximity to flagship
--	'PROMOTION_EE_FASIL_GHEBBI'				, --Enlightenment Era, proximity to wonder
	'PROMOTION_CREATED'						, -- CIV-Linked Great Generals
	'PROMOTION_EMISSARY'					, --CSD
	'PROMOTION_ENVOY'						, --CSD
	'PROMOTION_DIPLOMAT'					, --CSD
	'PROMOTION_AMBASSADOR'					, --CSD
	'PROMOTION_GREAT_MERCHANT'				, --CSD
	'PROMOTION_GREAT_DIPLOMAT'				, --CSD
--		'PROMOTION_NOBEL_LAUREATE'			, --sweden
	'PROMOTION_SIGNET'						,
	'PROMOTION_EXPRESS'						,
	'PROMOTION_LITERACY'					,
	'PROMOTION_IMMUNITY'					,
	'PROMOTION_PAX'						,
	'PROMOTION_NOBILITY'					,
	--'PROMOTION_CAN_MOVE_AFTER_ATTACKING'	, 
	'PROMOTION_SELL_EXOTIC_GOODS'			, --Portugal	
	'PROMOTION_WAR_CANOES'					, --songhai
	'PROMOTION_DOUBLE_PLUNDER'				, --denmark
	'PROMOTION_MOVEMENT_TO_GENERAL'			, 
	'PROMOTION_GENERAL_STACKING'   			,
	'PROMOTION_SILENT_HUNTER'    			,
	'PROMOTION_ANTI_FIGHTER'    			,
	'PROMOTION_FLAT_MOVEMENT_COST'			, 
	'PROMOTION_PARADROP'					, 
	'PROMOTION_ENSLAVEMENT'					, --Ramses
	'PROMOTION_GODDY_HUT_PICKER'			, --Shosho
	'PROMOTION_GOLDEN_AGE_POINTS'			, --Braz
	'PROMOTION_GAIN_EXPERIENCE'				, --oda,jap
	'PROMOTION_SPAWN_GENERALS_II'			,
	'PROMOTION_SPAWN_GENERALS_I'			,
	'PROMOTION_AIR_SWEEP'					,
	'PROMOTION_AIR_RECON'					,
	'PROMOTION_CAN_MOVE_IMPASSABLE'			,
	'PROMOTION_INVISIBLE_SUBMARINE'			,
	'PROMOTION_HOVERING_UNIT'				,
	'PROMOTION_WITHDRAW_BEFORE_MELEE'		,
	'PROMOTION_SEE_INVISIBLE_SUBMARINE'		,
	'PROMOTION_ANTI_SUBMARINE_II'			,	
	'PROMOTION_EXTENDED_PARADROP'			,
	'PROMOTION_GREAT_ADMIRAL'				,	
	'PROMOTION_RIVAL_TERRITORY'				,		
	'PROMOTION_UNWELCOME_EVANGELIST'		,		
	'PROMOTION_FALLOUT_REDUCTION'			,		
	'PROMOTION_FALLOUT_IMMUNITY'			,		
	'PROMOTION_EMBARKED_SIGHT'				,		
	--'PROMOTION_ANTI_TANK'					, --check?
	'PROMOTION_ROUGH_TERRAIN_ENDS_TURN'		, --penalty
	'PROMOTION_ONLY_DEFENSIVE'				, --penalty
	'PROMOTION_NO_DEFENSIVE_BONUSES'		, --penalty
	'PROMOTION_MUST_SET_UP'					, --penalty
	'PROMOTION_CITY_SIEGE'					, --demolish
	'PROMOTION_CITY_ASSAULT'				, --demolish
	'PROMOTION_NEW_UNIT'					, --
	'PROMOTION_DEFENSE_1'					, --
	'PROMOTION_DEFENSE_2'					, --
	'PROMOTION_GREAT_GENERAL'				, --
	'PROMOTION_FREE_UPGRADES'				, --citystates
	--'PROMOTION_ANTI_CAVALRY'				, --Ottomans
	'PROMOTION_MEDIC_GENERAL'				, --Mongolia
	--'PROMOTION_SENTRY'					, --America
	--'PROMOTION_DEFENSIVE_EMBARKATION'		, --Songhai
	'PROMOTION_FREE_PILLAGE_MOVES'			, --Denmark
	'PROMOTION_OCEAN_MOVEMENT'				, --England
	'PROMOTION_OCEAN_IMPASSABLE'			, --Korea
	'PROMOTION_MUSTERED'					,
	'PROMOTION_FAST_ADMIRAL'				,
	'PROMOTION_INSTA_HEAL' 
	);

